---
openshift_deployment_type: origin
#openshift_deployment_type: openshift-enterprise
#openshift_release: v3.5
openshift_master_default_subdomain: "apps.{{ env_id }}.{{ public_dns_domain }}"

openshift_master_cluster_method: native
openshift_master_cluster_hostname: "{{ groups.lb.0|default(groups.masters.0) }}"
openshift_master_cluster_public_hostname: "{{ groups.lb.0|default(groups.masters.0) }}"

osm_default_node_selector: 'region=primary'

openshift_hosted_router_wait: True
openshift_hosted_registry_wait: True

## Openstack credentials
#openshift_cloudprovider_kind=openstack
#openshift_cloudprovider_openstack_auth_url: "{{ lookup('env','OS_AUTH_URL') }}"
#openshift_cloudprovider_openstack_username: "{{ lookup('env','OS_USERNAME') }}"
#openshift_cloudprovider_openstack_password: "{{ lookup('env','OS_PASSWORD') }}"
#openshift_cloudprovider_openstack_tenant_name: "{{ lookup('env','OS_TENANT_NAME') }}"
#openshift_cloudprovider_openstack_region="{{ lookup('env', 'OS_REGION_NAME') }}"


## Use Cinder volume for Openshift registry:
#openshift_hosted_registry_storage_kind: openstack
#openshift_hosted_registry_storage_access_modes: ['ReadWriteOnce']
#openshift_hosted_registry_storage_openstack_filesystem: xfs

## Configure this if you're attaching a Cinder volume you've set up.
## If you're using the `cinder_hosted_registry_name` option from
## `all.yml`, this will be configured automaticaly.
#openshift_hosted_registry_storage_openstack_volumeID: e0ba2d73-d2f9-4514-a3b2-a0ced507fa05
#openshift_hosted_registry_storage_volume_size: 10Gi


# NOTE(shadower): the hostname check seems to always fail because the
# host's floating IP address doesn't match the address received from
# inside the host.
openshift_override_hostname_check: true

# For POCs or demo environments that are using smaller instances than
# the official recommended values for RAM and DISK, uncomment the line below.
#openshift_disable_check: disk_availability,memory_availability

# NOTE(shadower): Always switch to root on the OSEv3 nodes.
# openshift-ansible requires an explicit `become`.
ansible_become: true
